package com.sunxung.factoring.entity.supplier;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;

/**
 * <p>
 * 视频尽调-综合评估
 * </p>
 *
 * @author liutao
 * @since 2023-12-09
 */
@TableName("video_due_diligence_comprehensive_evaluation")
public class VideoDueDiligenceComprehensiveEvaluation {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 视频尽调id
     */
    @TableField("video_due_diligence_id")
    private Long videoDueDiligenceId;

    /**
     * 收入评级
     */
    @TableField("revenue_rating")
    private String revenueRating;

    /**
     * 评估意见
     */
    @TableField("evaluation_opinions")
    private String evaluationOpinions;

    /**
     * 是否准入
     */
    @TableField("admitted")
    private String admitted;

    /**
     * 得分
     */
    @TableField("score")
    private BigDecimal score;

    /**
     * 得分
     */
    @TableField("fix_score")
    private BigDecimal fixScore;

    /**
     * 授信额度
     */
    @TableField("credit_limit")
    private BigDecimal creditLimit;

    public BigDecimal getFixScore() {
        return fixScore;
    }

    public void setFixScore(BigDecimal fixScore) {
        this.fixScore = fixScore;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getVideoDueDiligenceId() {
        return videoDueDiligenceId;
    }

    public void setVideoDueDiligenceId(Long videoDueDiligenceId) {
        this.videoDueDiligenceId = videoDueDiligenceId;
    }
    public String getRevenueRating() {
        return revenueRating;
    }

    public void setRevenueRating(String revenueRating) {
        this.revenueRating = revenueRating;
    }
    public String getEvaluationOpinions() {
        return evaluationOpinions;
    }

    public void setEvaluationOpinions(String evaluationOpinions) {
        this.evaluationOpinions = evaluationOpinions;
    }
    public String getAdmitted() {
        return admitted;
    }

    public void setAdmitted(String admitted) {
        this.admitted = admitted;
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public BigDecimal getCreditLimit() {
        return creditLimit;
    }

    public void setCreditLimit(BigDecimal creditLimit) {
        this.creditLimit = creditLimit;
    }

}
